Package weka.associations.tertius

# Class IndividualInstances

java.lang.Object
weka.core.Instances
weka.associations.tertius.IndividualInstances

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class IndividualInstances extends Instances

Version:
  $Revision: 1.6 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class weka.core.Instances

`ARFF_DATA, ARFF_RELATION, FILE_EXTENSION, SERIALIZED_OBJ_FILE_EXTENSION`

## Constructor Summary

Constructors
Constructor
Description
`IndividualInstances(Instances individuals, Instances parts)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.core.Instances

`add, attribute, attribute, attributeStats, attributeToDoubleArray, checkForAttributeType, checkForStringAttributes, checkInstance, classAttribute, classIndex, compactify, delete, delete, deleteAttributeAt, deleteAttributeType, deleteStringAttributes, deleteWithMissing, deleteWithMissing, deleteWithMissingClass, enumerateAttributes, enumerateInstances, equalHeaders, firstInstance, getRandomNumberGenerator, insertAttributeAt, instance, kthSmallestValue, kthSmallestValue, lastInstance, main, meanOrMode, meanOrMode, mergeInstances, numAttributes, numClasses, numDistinctValues, numDistinctValues, numInstances, randomize, readInstance, relationName, renameAttribute, renameAttribute, renameAttributeValue, renameAttributeValue, resample, resampleWithWeights, resampleWithWeights, resampleWithWeights, resampleWithWeights, setClass, setClassIndex, setRelationName, sort, sort, stratify, stringFreeStructure, sumOfWeights, swap, test, testCV, toString, toSummaryString, trainCV, trainCV, variance, variance`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndividualInstances

public IndividualInstances(Instances individuals, Instances parts) throws Exception

Throws:
  `Exception`

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Instances`
Returns:
  the revision